import request from '@/utils/request'

// 考勤打卡统计
export function clockStatistic(query) {
  return request({
    url: '/screen/statistic/clockStatistic',
    method: 'get',
    params: query
  })
}


// 最新任务统计
export function userCurrentTaskStatistic(query) {
  return request({
    url: '/screen/statistic/userCurrentTaskStatistic',
    method: 'get',
    params: query
  })
}


// 最新巡检统计
export function userCurrentInspectStatistic(query) {
  return request({
    url: '/screen/statistic/userCurrentInspectStatistic',
    method: 'get',
    params: query
  })
}


// 设备生命周期统计
export function devLifeStatistic(query) {
  return request({
    url: '/screen/statistic/devLifeStatistic',
    method: 'get',
    params: query
  })
}

// 隐患统计
export function dangerStatistic(query) {
  return request({
    url: '/screen/statistic/dangerStatistic',
    method: 'get',
    params: query
  })
}

